#ifndef ethernetserver_h
#define ethernetserver_h

#include "Server.h"

class EthernetBasicClient;

class EthernetServer : public Server {
private:
  uint16_t _port;
  void accept();
public:
  EthernetServer(uint16_t);
  EthernetBasicClient available();
  virtual void begin();
  virtual size_t write(uint8_t);
  virtual size_t write(const uint8_t *buf, size_t size);
  using Print::write;
};

#endif
