@rem $Id: makecore.bat 9 2012-07-07 23:16:33Z Don $
@rem Copyright (c) 2011 Elba Corp.  All rights reserved.
@echo off

rem -------------------------------------------------------------------
rem Set the target device.
rem -------------------------------------------------------------------
rem set DEVICE=mega328p
set MCU=atmega644p
rem set DEVICE=mega1284p
rem set DEVICE=mega1280
rem set DEVICE=mega2560
rem set DEVICE=mega1281

rem -------------------------------------------------------------------
rem -------------------------------------------------------------------
rem  Nothing below here should need to be changed.
rem -------------------------------------------------------------------
rem -------------------------------------------------------------------

rem -------------------------------------------------------------------
rem This section determines the "short name" form of the path to the
rem ZBasic executable using a registry key set by the ZBasic installer.
rem -------------------------------------------------------------------
set ZBASIC=
set cmd=GetRegKey -n1 -p/ -s "HKLM\Software\Elba Corp.\ZBasic\InstallPath"
for /f "tokens=1,*" %%a in ('%cmd%') do set ZBASIC=%%b

rem -------------------------------------------------------------------
rem This section determines the "short name" form of the path to the
rem WinAVR executables using a registry key set by the ZBasic installer.
rem -------------------------------------------------------------------
set WINAVR=
set cmd=GetRegKey -n1 -p/ -s "HKLM\Software\Elba Corp.\ZBasic\WinAVR_Path"
for /f "tokens=1,*" %%a in ('%cmd%') do set WINAVR=%%b

rem -------------------------------------------------------------------
rem This section invokes the "make" utility to build the Arduino library.
rem -------------------------------------------------------------------
make MCU=%MCU% ARDUINO=%ARDUINO% ZBASIC=%ZBASIC% WINAVR=%WINAVR%

rem -------------------------------------------------------------------
rem Clear the environment variables set above.
rem -------------------------------------------------------------------
set MCU=
set ZBASIC=
set WINAVR=

:end