//  Based on the code created by David A. Mellis

#include "Morse.h"

#if defined(ZBASIC_APP)
  #define ON  LOW
  #define OFF HIGH
#else
  #define ON  HIGH
  #define OFF LOW
#endif

Morse::Morse(uint8_t pin)
{
	pinMode(pin, OUTPUT);
	m_pin = pin;
}

void Morse::dot()
{
	digitalWrite(m_pin, ON);
	delay(250);
	digitalWrite(m_pin, OFF);
	delay(250);  
}

void Morse::dash()
{
	digitalWrite(m_pin, ON);
	delay(1000);
	digitalWrite(m_pin, OFF);
	delay(250);
}
