// Based on the code created by David A. Mellis.

#if !defined(Morse_h)
#define Morse_h

#include "Arduino.h"

class Morse
{
public:
	// constructor, destructor
	Morse(uint8_t pin);
	~Morse() {}

	// public methods
	void dot();
	void dash();

private:
	// prevent copy construction and assignment
	Morse(const Morse&);
	Morse& operator=(const Morse&);

	uint8_t m_pin;	// the pin on which to send Morse code
};

#endif
