#ifndef ethernetclient_h
#define ethernetclient_h
#include "Arduino.h"	
#include "Print.h"
#include "Client.h"
#include "IPAddress.h"
#include "EthernetBasicClient.h"

class EthernetClient : public EthernetBasicClient {

public:
  EthernetClient();
  EthernetClient(uint8_t sock);

  virtual int connect(IPAddress ip, uint16_t port) { return(EthernetBasicClient::connect(ip, port)); }
  virtual int connect(const char *host, uint16_t port);

private:
};

#endif
