Option Arduino "C:/Projects/Arduino"

' This is a replacement Arduino pin map table.
Public digitalPinMap as ByteVectorData ({
	32	'number of entries that follow

	' AVR port/pins		Arduino pins
	B.0, B.1, B.2, B.3  '  0- 3
	B.4, B.5, B.6, B.7  '  4- 7
	0,   0,   D.2, D.3  '  8-11
	D.4, D.7, D.6, D.5  ' 12-15
	C.0, C.1, C.2, C.3  ' 16-19
	C.4, C.5, C.6, C.7  ' 20-23

	' analog pins
	A.7, A.6, A.5, A.4  ' 24-27
	A.3, A.2, A.1, A.0  ' 28-31
}) Attribute(Used, "Alias:digitalPinMap", "PortPinEncoding:1")

Sub Main()
	Debug.Print "Running Arduino code - "; CStrHex(pin)
	Call arduino_setup()
	Do
		Call arduino_loop()
	Loop
End Sub
